<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.member.base.mapper.CuSettleCountryDetailedMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.member.base.CuSettleCountryDetailed">
        <id column="PK_ID" property="pkId" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="PK_CREATOR" property="pkCreator" />
        <result column="PK_SERVICE_LOG" property="pkServiceLog" />
        <result column="PK_MEMBER" property="pkMember" />

    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PK_COUNTRY,
        DEL_FLAG,
        CREATION_TIME,
        PK_CREATOR,
        PK_ID, PK_SERVICE_LOG
    </sql>



    <!--根据国家分组查询修改结算国详情-->
    <select id="querySettleCountryList"
            resultType="com.hzs.common.domain.member.base.CuSettleCountryDetailed">
        select  PK_MEMBER,PK_COUNTRY
        where PK_MEMBER=#{pkMember}
        from  CU_SETTLE_COUNTRY_DETAILED GROUP BY PK_COUNTRY,PK_MEMBER
    </select>



</mapper>
